%define gal_major 2.4

Name: libgal2
Version: 2.4.2
Release: 0vl1
Summary: The GNOME Application Library
Summary(ja): GNOME アプリケーションライブラリ
Group: System Environment/Libraries
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: ftp://ftp.gnome.org/pub/gnome/sources/gal/2.4/gal-%{version}.tar.bz2
BuildRequires: libxml2-devel gtk2-devel
BuildRequires: libgnomeprint-devel >= 2.10
BuildRequires: libgnomeprintui-devel >= 2.10
BuildRequires: libglade2-devel >= 2.0
BuildRequires: libgnomecanvas-devel >= 2.10
BuildRequires: libgnomeui-devel >= 2.10
Requires: libxml2, gtk2
Requires: libgnomeprint >= 2.10
Requires: libgnomeprintui >= 2.10
Requires: libglade2 >= 2.0
Requires: libgnomeui >= 2.10
Requires: libgnomecanvas >= 2.10

%description
A collection of GNOME widgets and utility functions.

%package devel
Summary: Development files for the GNOME Applications library
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libgnomeprint-devel, libgnomeprintui-devel, libglade2-devel
Requires: libgnomecanvas-devel, libgnomeui-devel

%description devel
Development files for the GNOME Applications library


%prep
%setup -q -n gal-%{version}


%build
%configure
make


%install
%makeinstall

#rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/modules/*.a

%find_lang gal-%{gal_major}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gal-%{gal_major}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_datadir}/gal-%{gal_major}
%{_libdir}/lib*.so.*.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Thu Apr 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Sat Mar 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.11-0vl1
- new upstream release

* Wed Sep 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.10-0vl1
- new upstream release

* Fri Aug 29 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.99.9-0vl1
- new upstream release

* Fri Jul 11 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.99.8-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.7-0vl1
- new upstream release

* Tue Jun 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.6-0vl1
- new upstream release

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.99.4-0vl1
- new upstream release
- change packagename to libgal2

* Thu May  1 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.24-1vl1
- updated to 0.24
- so ver is updated
 
* Wed Mar  5 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.23-1vl1
- updated to new upstream release.
- so ver is updated
 
* Sun Sep 15 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.19.3-0vl1
- updated to new upstream release.

* Tue Jan 15 2002 Akira TAGOH <tagoh@gnome.gr.jp> 0.19-0vl1
- New upstream release.
- Seperated the shared libraries.

* Tue Dec 18 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.18.1-0vl1
- New upstream release.

* Tue May  8 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.7-0vl1
- New upstream release.

* Fri Mar 30 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5-0vl2
- Fixed font selection with e-font.
- Use %find_lang macro.
   
* Wed Mar 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5-0vl1
- New upstream release.

* Tue Jan  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.4.99.0-0vl1
- Build for Vine
 
* Fri Oct 10 2000 John Gotts <jgotts@linuxsavvy.com>
- Created spec file.
	 

